#
# spec file for package ctemplate
#
# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#



Name:           ctemplate
Summary:        Library for simple but powerful template language for C++
Version:        0.98
Release:        7.1
Group:          Development/Libraries/C and C++
License:        BSD4c(or similar)
Url:            http://code.google.com/p/google-ctemplate/
Source:         %{name}-%{version}.tar.bz2
# PATCH-FIX-UPSTREAM ctemplate-0.98-gcc46.patch idoenmez@suse.de -- Fix compilation with gcc 4.6
Patch1:         ctemplate-0.98-gcc46.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  gcc-c++
BuildRequires:  pkg-config

%description
CTemplate is a simple but powerful template language for C++. It
emphasizes separating logic from presentation: it is impossible to
embed application logic in this template language.

%package -n libctemplate0
Summary:        Library for simple but powerful template language for C++
Group:          Development/Libraries/C and C++
License:        BSD4c(or similar)

%description -n libctemplate0
CTemplate is a simple but powerful template language for C++. It
emphasizes separating logic from presentation: it is impossible to
embed application logic in this template language.

%package -n libctemplate-devel
License:        BSD4c(or similar)
Group:          Development/Libraries/C and C++
Requires:       libctemplate0 = %{version}
Summary:        Library for simple but powerful template language for C++

%description -n libctemplate-devel
CTemplate is a simple but powerful template language for C++. It
emphasizes separating logic from presentation: it is impossible to
embed application logic in this template language.

%prep
%setup -q
%patch1
chmod -R u+w .

%build
export verstring=`echo %{version} | sed 's|\.|:|'`
%configure --disable-static
make %{?_smp_mflags}

%install
%makeinstall
rm -f %{buildroot}/%{_libdir}/*.la
mkdir -p %{buildroot}/%{_defaultdocdir}
mv %{buildroot}/usr/share/doc/%{name}-%{version} %{buildroot}/%{_defaultdocdir}/%{name}

%post -n libctemplate0 -p /sbin/ldconfig

%postun -n libctemplate0 -p /sbin/ldconfig

%files -n libctemplate0
%defattr(-,root,root)
%{_libdir}/*.so.*
%dir %{_defaultdocdir}/%{name}
%{_defaultdocdir}/%{name}/[A-Z]*

%files -n libctemplate-devel
%defattr(-,root,root)
%{_bindir}/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc
%dir %{_includedir}/ctemplate
%{_includedir}/ctemplate/*.h
%{_defaultdocdir}/%{name}/[a-z]*

%changelog
* Sun Sep 18 2011 jengelh@medozas.de
- Remove redundant tags/sections from specfile
* Wed Apr 27 2011 idoenmez@novell.com
- Add ctemplate-0.98-gcc46.patch: fix compilation with gcc 4.6
* Thu Nov  4 2010 freitag@novell.com
- version update (version 0.98)
  * ctemplate: version 0.98 release
  * Add new image URL modifier: :I=html, :I=css, etc (jshneier, dougy)
  * Allow lowercase words in pragma contexts (csilvers)
  * Enable full-word matching for tpl filenames (aneeshnaman)
  * Performance improvements for small_map (wonchun)
  * Avoid some compiler warnings (mac)
  * Fix a c++ conformance bug involving const (chandlerc)
  * BUGFIX: never reload string templates (panicker)
  * BUGFIX: Fix refcounting to avoid accessing freed memory (panicker)
  * PORTING: Avoid SIBGUS on sparc by aligning memory more (csilvers)
  * PORTING: Use isascii_is*() to avoid langtype issues (csilvers)
  * PORTING: Fix 'class not properly dll-epxorted' warnings (csilvers)
  * PORTING: Rename README.windows to README_windows.txt (csilvers)
  * Made NEWS file non-empty.
  * Added ctemplate.pc + ctemplate_nothreads.pc for pkg-config (csilvers)
  version 0.97 release
  * Major API revamp: +TemplateCache, -Template (panicker, csilvers)
  * Major documentation revamp: howto -> guide + reference (csilvers)
  * Protect auto-generated #include files with header guard (dnovillo)
  * Allow ftp:// in ValidateUrl modifier (martone)
  * Speed up template modifiers (turnidge)
  * BUGFIX: Fix a dnagling pointer in template-modifiers (csilvers)
  * PORTING: cygwin/mingw now compile (due to autoconf macros) (csilvers)
  * PORTING: improve generate_fs_test on windows (csilvers)
  version 0.96 release
  * Support multiple template root directories (williasr)
  * Remove TemplateContext from TemplateToString (jad)
  * Remove programmatic auto-escape code (jad)
  * Speedup: use linker to detect immutable TemplateStrings (csilvers)
  * Implement ShowTemplateGlobalSection (williasr)
  * Change SetIntValue to accept longs (omoikane)
  * Allow TemplateDictionary c'tor to take a TemplateString (csilvers)
  * Make Mutex safer to run during global destructors (csilvers)
  * BUILD: don't set TMPDIR when building; ar reads it (csilvers)
  * BUILD: fix compiling of C (as opposed to C++) test file (csilvers)
  * BUILD: remove bash-specific 'test x == y' from configure.ac (csilvers)
  * BUGFIX: use AllocAligned when allocating non-char objects (csilvers)
  * PORTING: remove obsolete MSVC Detect64BitPortabilityProblems (csilvers)
  * Updated from autoconf 2.61 to 2.62
* Tue Jul 28 2009 mhrusecky@suse.cz
- version update (version 0.95)
  * Change default namespace from google to ctemplate
  * Rename include directory from google to ctemplate
  * Remove deprecated code: template_from_string.{h,cc}
  * Remove deprecated code: modifiers in TemplateDictionary class
  * Remove last arg from StringToTemplate; use autoescape pragma instead
  * Remove template_modifiers namespace
  * Provide a script to help convert namespaces and #includes
  * TemplateDictionary constructor takes TemplateString, not string
* Thu May  7 2009 mhrusecky@suse.cz
- version update (version 0.94)
  * Use arena for all memory allocations: 3-4%% speedup (csilvers)
  * Add the ability to hook the annotation system (ryoji)
  * Expose Expand(ExpandEmitter*,...) to allow custom emitters (csilvers)
  * Add RemoveStringFromTemplateCache (csilvers)
  * Add new :url_escape_with_arg=css modifier for urls in CSS (jad)
  * Support tr1's unordered_map in preference to hash_map (csilvers)
  * Use Murmurhash for all string hashing, rather than hash<> (csilvers)
  * Better parsing of meta tags and dangling < for auto-escape (falmeida)
  * Add AddXssSafeModifier (jad)
  * Allow disabling auto-escape for 'trusted' vars (jad)
  * BUGFIX: resolve possible memory-leaks in CopyDictionary (csilvers)
  * BUGFIX: fix bug when reloading with AUTOESCAPE pragma (jad)
  * Updated autoconf version to 2.61 and libtool version to 1.5.26
- ctemplate-0.93-bswap.patch was merged upstream
* Fri Feb 20 2009 mhrusecky@suse.cz
- corrected bswap function name - fixed build on ppc & s390
* Mon Feb 16 2009 mhrusecky@suse.cz
- version update (version 0.93)
  * New AUTOESCAPE pragma: alternative to GetTemplateWithAutoescaping (jad)
  * Improve autoescape for CSS template and more (jad)
  * Replace RegisterStringAsTemplate with TemplateToString (csilvers)
  * Speed up template code by hashing and cacheing template strings (jcrim)
  * Add StaticTemplateString to make hashing/cacheing even faster
  * Autogenerate parser files from .config files (falmeida)
  * TESTING: new compile_test to test end-to-end compilation (csilvers)
  * Fix Mutex class to allow expanding template before main() (csilvers)
* Mon Feb 16 2009 mhrusecky@suse.cz
- fixed building with gcc 4.4
* Wed Feb  4 2009 mhrusecky@suse.cz
- expanded macros as they are currently not supported in package
  names
* Fri Dec 19 2008 mhrusecky@suse.cz
- fixed package names
* Fri Dec 12 2008 mhrusecky@suse.cz
- new Package (Version 0.92)
